Bug 1495265 - [RFE] HOST_FAILURE events should be exposed in Control/Alerts
Summary: [RFE] HOST_FAILURE events should be exposed in Control/Alerts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Control
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.10.0
Assignee: Lucy Fu
QA Contact: Dmitry Misharov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-25 16:01 UTC by Jerome Marc
Modified: 2019-02-07 23:02 UTC (History)
3 users (show)

Fixed In Version: 5.10.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:46 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:02:54 UTC

Description Jerome Marc 2017-09-25 16:01:16 UTC
Description of problem:
HOST_FAILURE is exposed in Automate (ManageIQ / System / Event / EmsEvent / RHEVM / HOST_FAILURE) but missing from Control or Alerts.

Version-Release number of selected component (if applicable):
5.8.1.5.20170725160636_e433fc0

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
An Host Failure event should be exposed in Control.

Additional info:

Comment 5 CFME Bot 2018-06-15 19:41:26 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/3a7756f97f55a8239c8885d863461b9ca7b2a074
commit 3a7756f97f55a8239c8885d863461b9ca7b2a074
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Wed Jun 13 15:07:45 2018 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Wed Jun 13 15:07:45 2018 -0400

    Add policy event host_failure.

    https://bugzilla.redhat.com/show_bug.cgi?id=1495265

 db/fixtures/miq_event_definitions.csv | 1 +
 1 file changed, 1 insertion(+)

Comment 6 CFME Bot 2018-06-15 19:42:54 UTC
New commit detected on ManageIQ/manageiq-content/master:

https://github.com/ManageIQ/manageiq-content/commit/cdeb1d9c44275c58ad9101452b3145453f6fc542
commit cdeb1d9c44275c58ad9101452b3145453f6fc542
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Wed Jun 13 15:07:09 2018 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Wed Jun 13 15:07:09 2018 -0400

    Raise policy event when HOST_FAILURE is received.

    https://bugzilla.redhat.com/show_bug.cgi?id=1495265

 content/automate/ManageIQ/System/Event/EmsEvent/RHEVM.class/host_failure.yaml | 2 +
 1 file changed, 2 insertions(+)

Comment 7 CFME Bot 2018-06-18 08:14:12 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/033f4d1104b30163a27fbea030d61d46757aa2d7
commit 033f4d1104b30163a27fbea030d61d46757aa2d7
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Wed Jun 13 19:07:05 2018 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Wed Jun 13 19:07:05 2018 -0400

    Add icon for host_failure event.

    https://bugzilla.redhat.com/show_bug.cgi?id=1495265

 app/decorators/miq_event_definition_decorator.rb | 1 +
 1 file changed, 1 insertion(+)

Comment 8 Dmitry Misharov 2018-06-26 08:18:22 UTC
Verified in 5.10.0.1.20180619163011_900fdc4. "Host Failure" event is in Control Explorer events list.

Comment 9 errata-xmlrpc 2019-02-07 23:02:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.